OSSIM-PIXELFLIP(1)

NAME
ossim-pixelflip - ossim-pixelflip

SYNOPSIS
ossim-pixelflip [options] <output_type> <input_file> <output_file> <target_value> <replacement_value>

DESCRIPTION
Description: ossim-pixelflip flips any null pixels to a valid pixel

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-c or --clamp-value
    clamp values (any pixel with value larger than input will be clamped to input)

-h or --help
    Display this information

-m  Replacement mode (see notes below)

-o or --create-overview
    Creates and overview for the output image

-w  output tile width(only valid with tiled output types). Must be a multiply of 16

NOTES: -m Replacement mode option explanation:

    Valid modes (default=replace_all_targets) :

    replace_partial_targets replace_partial_targets_all_bands replace_full_targets replace_all_targets (default=all)

If mode is "replace_all_targets" (default): Any pixel with dn of target will be replaced.

If mode is "replace_partial_targets": Target will be replaced only at least one subpixel(band) does not have the target.

If mode is "replace_partial_targets_all_bands": Target will be replaced only at least one subpixel(band) does not have the target. All bands will be replaced. This is a good Landsat7 edge fixer...

If mode is "replace_full_targets": Target will be replaced only if all subpixels(bands) have the target.

    Example: target = 0 replacement = 1 Pixel at (0, 0) r=0, g=0, b=0 Pixel at (0, 1) r=0, g=30, b=21

    Mode is "replace_all_targets": Pixel at (0, 0) becomes r=1, g=1, b=1 Pixel at (0, 1) becomes r=1, g=30, b=21

    Mode is "replace_partial_targets": Pixel at (0, 0) remains r=0, g=0, b=0 Pixel at (0, 1) becomes r=1, g=30, b=21

    Mode is "replace_partial_targets_all_bands": Pixel at (0, 0) remains r=0, g=0, b=0 Pixel at (0, 1) becomes r=1, g=1, b=1

    Mode is "replace_full_targets": Pixel at (0, 0) becomes r=1, g=1, b=1 Pixel at (0, 1) remains r=0, g=30, b=21

Valid output writer types: tiff_strip tiff_strip_band_separate tiff_tiled tiff_tiled_band_separate jpeg general_raster_bip general_raster_bil general_raster_bsq general_raster_bip_envi general_raster_bil_envi general_raster_bsq_envi nitf_block_band_separate nitf_block_band_sequential nitf20_block_band_separate nitf20_block_band_sequential ossim_pdf

SEE ALSO
The full documentation for ossim-pixelflip is maintained as a Texinfo manual. If the info and ossim-pixelflip programs are properly installed at your site, the command

    info ossim-pixelflip

should give you access to the complete manual.